from datetime import datetime

from pydantic import BaseModel, Field, field_serializer


class CamisTimeEntry(BaseModel):
    userid: str
    description: str
    workorder: str
    activity: str | None = ""
    registration_date: datetime
    hour_count: float
    timecode: str | None = "AD"
    long_info: str | None = "long_info"

    @field_serializer("registration_date", when_used="json")
    def serialize_registration_date(self, registration_date: datetime) -> str:
        return registration_date.strftime("%Y-%m-%d")
