from datetime import date

from camiskaze.domain.models import TimeEntry

from . import Event


class TimeEntryRegistered(Event):
    time_entry: TimeEntry
    success: bool
    reason: str = ""

    @property
    def description(self) -> str:
        return self.time_entry.description

    @property
    def duration(self) -> float:
        return self.time_entry.duration

    @property
    def duration_hours(self) -> float:
        return self.time_entry.duration_hours

    @property
    def date(self) -> date:
        return self.time_entry.date

    @property
    def work_order(self) -> str:
        return self.time_entry.work_order

    @property
    def project(self) -> str:
        return self.time_entry.project
