from datetime import date

from camiskaze.domain.models import Timesheet

from . import Event


class TimesheetRetrieved(Event):
    timesheet: Timesheet

    @property
    def num_time_entries(self) -> int:
        return len(self.timesheet.entries)

    @property
    def user(self) -> str:
        return self.timesheet.user
    @property
    def start(self) -> date:
        return self.timesheet.start

    @property
    def end(self) -> date:
        return self.timesheet.end
