from asyncclick import Context, Group


class BannerGroup(Group):
    _template = "{banner}\n{help_text}"

    def __init__(self, banner: str, *args, **kwargs):
        self.banner = banner

        super().__init__(*args, **kwargs)

    def get_help(self, ctx: Context) -> str:
        return self._template.format(
            banner=self.banner,
            help_text=super().get_help(ctx),
        )
