from camiskaze.domain.messages import RetryRegisterTimeEntry
from camiskaze.service_layer import UnitOfWork, MessageBus


_MAX_RETRIES = 3


async def retry_register_time_entry(
    command: RetryRegisterTimeEntry,
    unit_of_work: UnitOfWork,
    message_bus: MessageBus,
) -> None:
    if command.retrying:
        return

    if command.num_retires >= _MAX_RETRIES:
        raise ValueError("todo")

    command.increase_retries()
    command.retrying = False

    await message_bus.publish(command, unit_of_work)
