from camiskaze.domain.messages import TimesheetGrouped
from camiskaze.service_layer import MessageBus, UnitOfWork


_MSG_TEMPLATE = "Grouped {initial} Time Entries into {result} Time Entries."


async def stop_status(
    event: TimesheetGrouped,
    unit_of_work: UnitOfWork,
    _: MessageBus,
) -> None:
    msg = _MSG_TEMPLATE.format(
        initial=event.initial_num_entries,
        result=event.result_num_entries,
    )
    unit_of_work.status.log(msg)

    unit_of_work.status.stop()
