from camiskaze.domain.messages.events import TimesheetRetrievalStarted
from camiskaze.service_layer import UnitOfWork, MessageBus


_MSG_TEMPLATE = "Retrieving Timesheet from {start} to {end}."


async def log_timesheet_retrieval_started(
    event: TimesheetRetrievalStarted,
    unit_of_work: UnitOfWork,
    _: MessageBus,
) -> None:
    msg = _MSG_TEMPLATE.format(start=event.start, end=event.end)
    unit_of_work.status.start(msg)

    unit_of_work.status.log("Started retrieving Timesheet.")
